// you’re reading...

Apache / PHP / MySQL

OSX ImageMagick PHP Apache after an upgrade

One annoying thing about Mac software upgrades is they occasionally blow away installs of various software. Differing compiler version can make shared libraries incompatible after these updates. Here’s my solution to solving a problem where my ImageMagick shared object became incompatible as a PHP extenstion.

sudo port install imagemagick php53-imagick php53-magickwand
cd /usr/lib/php/extensions/no-debug-non-zts-20090626/
sudo cp /opt/local/lib/php53/extensions/no-debug-non-zts-20090626/imagick.so .
sudo apachectl restart
sudo ln -s /opt/local/include/pcre.h /usr/include/
ImageMagick on PHP

ImageMagick on PHP

Citations:
StackOverflow sudo-pecl-install-apc-error-on-os-x-lion

Discussion

No comments for “OSX ImageMagick PHP Apache after an upgrade”

Post a comment

Help support my site and buy a domain name at http://domainsemailhosting.com/

%d bloggers like this: